Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum IAIExporter.CapType

    java.lang.Object
      java.lang.Enum<IAIExporter.CapType>
          igeo.io.IAIExporter.CapType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IAIExporter.CapType>

Enclosing class:
  IAIExporter

    public static enum IAIExporter.CapType

extends java.lang.Enum<IAIExporter.CapType>

Enum Constant Summary
`Butt`
`Round`
`Square`

Method Summary
`static IAIExporter.CapType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IAIExporter.CapType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Butt

    public static final IAIExporter.CapType Butt

### Round

    public static final IAIExporter.CapType Round

### Square

    public static final IAIExporter.CapType Square

Method Detail

### values

    public static IAIExporter.CapType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IAIExporter.CapType c : IAIExporter.CapType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IAIExporter.CapType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD